Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.smime.ess
Class MLData

`java.lang.Object
oracle.security.crypto.smime.ess.MLData`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class MLData
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

Represents the MLData element which is used in the MLExpansionHistory Attribute.

Constructor Summary
`MLData(java.io.InputStream is)` Creates a new `MLData` by reading from the input stream.
`MLData(oracle.security.crypto.cert.X509 cert, java.util.Date date)` Creates a new `MLData` using the specified certificate and date.
`MLData(oracle.security.crypto.cert.X509 cert, java.util.Date date, boolean useSKI64)` Creates a new `MLData` using the specified certificate and date.
`MLData(oracle.security.crypto.cert.X509 cert, java.util.Date date, boolean useSKI64, MLReceiptPolicy policy)` Creates a new `MLData` using the specified certificate and date.
`MLData(oracle.security.crypto.cert.X509 cert, java.util.Date date, MLReceiptPolicy policy)` Creates a new `MLData` using the specified certificate and date.

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates if the object equals the specified object.
`oracle.security.crypto.asn1.ASN1Date` | `getExpansionTime()` Returns the Expansion Time.
`oracle.security.crypto.cert.IssuerAndSerialNo` | `getIASN()` Returns the IssuerAndSerialNo entity identifier.
`MLReceiptPolicy` | `getMLReceiptPolicy()` Indicates if the MLReceiptPolicy is present.
`byte[]` | `getSKI()` Returns the SubjectKeyIdentifier entity identifier.
`int` | `hashCode()` Return the hash code for this object.
`void` | `input(java.io.InputStream is)` Initialize this object by reading the MLData encoding from the specified input stream.
`int` | `length()` Returns the length of this object's encoding.
`void` | `output(java.io.OutputStream os)` Output this object's encoding to the specified output stream.
`java.lang.String` | `toString()` Returns information about this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MLData

    public MLData(oracle.security.crypto.cert.X509 cert,
                  java.util.Date date)

  Creates a new `MLData` using the specified certificate and date.

  IssuerAndSerialNumber is used as the EntityIdentifier.

Parameters:
  `cert` - The X509 certificate.
  `date` - The expansion time.

### MLData

    public MLData(oracle.security.crypto.cert.X509 cert,
                  java.util.Date date,
                  boolean useSKI64)

  Creates a new `MLData` using the specified certificate and date.

  SubjectKeyIdentifier is used as the EntityIdentifier.

Parameters:
  `cert` - The X509 certificate.
  `date` - The expansion time.
  `useSKI64` - If `true` the 64 bit SubjectKeyIdentifier is used; If `true` the 160 bit SubjectKeyIdentifier is used;

### MLData

    public MLData(oracle.security.crypto.cert.X509 cert,
                  java.util.Date date,
                  MLReceiptPolicy policy)

  Creates a new `MLData` using the specified certificate and date.

  IssuerAndSerialNumber is used as the EntityIdentifier.

Parameters:
  `cert` - The X509 certificate.
  `date` - The expansion time.

### MLData

    public MLData(oracle.security.crypto.cert.X509 cert,
                  java.util.Date date,
                  boolean useSKI64,
                  MLReceiptPolicy policy)

  Creates a new `MLData` using the specified certificate and date.

  SubjectKeyIdentifier is used as the EntityIdentifier.

Parameters:
  `cert` - The X509 certificate.
  `date` - The expansion time.
  `useSKI64` - If `true` the 64 bit SubjectKeyIdentifier is used; If `true` the 160 bit SubjectKeyIdentifier is used;

### MLData

    public MLData(java.io.InputStream is)
           throws java.io.IOException

  Creates a new `MLData` by reading from the input stream.
Parameters:
  `is` - The input stream.

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Indicates if the object equals the specified object.
  Returns:
    If `true` this object is equal to the specified object; `false` otherwise.

### hashCode

    public int hashCode()

  Return the hash code for this object.
  Returns:
    The hash code value.

### getIASN

    public oracle.security.crypto.cert.IssuerAndSerialNo getIASN()

  Returns the IssuerAndSerialNo entity identifier.
  Returns:
    The `IssuerAndSerialNo` if present; `null` otherwise.

### getSKI

    public byte[] getSKI()

  Returns the SubjectKeyIdentifier entity identifier.
  Returns:
    The key identifier if present; `null` otherwise.

### getExpansionTime

    public oracle.security.crypto.asn1.ASN1Date getExpansionTime()

  Returns the Expansion Time.
  Returns:
    The expansion time.

### getMLReceiptPolicy

    public MLReceiptPolicy getMLReceiptPolicy()

  Indicates if the MLReceiptPolicy is present.
  Returns:
    `MLReceiptPolicy` if present.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Initialize this object by reading the MLData encoding from the specified input stream.
  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `is` - The input stream.
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Output this object's encoding to the specified output stream.
  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `os` - The output stream.
  Throws:
    `java.io.IOException`

### length

    public int length()

  Returns the length of this object's encoding.
  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`
  Returns:
    The length in bytes.

### toString

    public java.lang.String toString()

  Returns information about this object.
  Returns:
    A string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.